Index: src/uk/me/parabola/imgfmt/app/trergn/LinePreparer.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/trergn/LinePreparer.java	(revision 808)
+++ src/uk/me/parabola/imgfmt/app/trergn/LinePreparer.java	(working copy)
@@ -47,10 +47,13 @@
 	private boolean[] nodes;
 
 	LinePreparer(Polyline line) {
-		if (line.isRoad() && line.roadHasInternalNodes())
+		if (line.isRoad() && 
+			line.getSubdiv().getZoom().getLevel() == 0 &&
+			line.roadHasInternalNodes()) {
 			// it might be safe to write the extra bits regardless,
 			// but who knows
 			extraBit = true;
+		}
 
 		polyline = line;
 		calcLatLong();
